Mailinglist Archive: yast-devel (132 mails)

< Previous Next >
Re: [yast-devel] Zypp Patterns
  • From: Duncan Mac-Vicar Prett <dmacvicar@xxxxxxx>
  • Date: Wed, 10 Oct 2007 16:28:10 +0200
  • Message-id: <200710101628.11348.dmacvicar@xxxxxxx>
On Wednesday 10 October 2007 16:21:55 Ricardo Cruz wrote:
> Hey,
>
>  libzypp Pattern's install_packages() is marked obsolete as of 10.3.
> yast-gtk keeps using it, and so does -qt. Can you guys point me to the
> new API?
>
> Thanks,
>  Ricardo

zypp/ui/PatternContents.h

the method in Pattern uses that class. It is marked as deprecated because we 
don't want the people to think a pattern has content (because it has hard and 
soft requirements, etc)

PatternContent is a helper class to figure out related packages, examining 
dependencies.  guess that is the right class to use. Feedback in anything 
that goes under ui/ is welcome anyway. We want to keep there anything useful 
for applications displaying data.

Duncan
-- 
To unsubscribe, e-mail: yast-devel+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: yast-devel+help@xxxxxxxxxxxx

< Previous Next >
References